000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "BOTONES".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009 DATA DIVISION.
000010 BASED-STORAGE SECTION.
000011 FILE SECTION.
000012     COPY "CGILIB\CGI-OUT.FD".
000013 WORKING-STORAGE SECTION.
000014 01 POWER--HPOWOBJS-BOTONES IS GLOBAL IS EXTERNAL.
000015   02 POWER--HPOWOBJ--BOTONES.
000015     03 BOTONES PIC S9(9) COMP-5.
000015     03 POW-P001 REDEFINES  BOTONES USAGE POINTER.
000016 01  REDEFINES POWER--HPOWOBJS-BOTONES.
000017   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000018 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000019
000020 COPY "CGILIB\LS-HTTP-PW3.FDT".
000021
000022 COPY "CGILIB\TEMPLATE.WSS".
000023
000024 01  WEB-DATA IS GLOBAL.
000025     02  BCONSULTAR            PIC X(01).
000026     02  BGRABAR               PIC X(01).
000027     02  BCANCELAR             PIC X(01).
000028     02  BELIMINAR             PIC X(01).
000029     02  BOTRO                 PIC X(01).
000030 CONSTANT SECTION.
000031 LINKAGE SECTION.
000032 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000033 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000034                    USAGE IS COMPUTATIONAL-5.
000035 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000036                    USAGE IS COMPUTATIONAL-5.
000037 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000038                    USAGE IS COMPUTATIONAL-5.
000039 PROCEDURE DIVISION
000040     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000041     EVALUATE POWER--MESSAGE
000042     WHEN 1024
000043         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000044     WHEN 1036
000045         CALL "BOTONES-OPENED"
000046     WHEN 1038
000047         CALL "BOTONES-START"
000048     END-EVALUATE
000049     EXIT PROGRAM.
000050 IDENTIFICATION DIVISION.
000051 PROGRAM-ID. "BOTONES-OPENED".
000052 ENVIRONMENT DIVISION.
000053 DATA        DIVISION.
000054
000055 WORKING-STORAGE SECTION.
000056
000057
000058 PROCEDURE   DIVISION.
000059 INICIO.
000060     MOVE HTTP-DATA-INP  TO WEB-DATA.
000061
000062     PERFORM TPL-OPEN-FILE.
000063           
000064           
000065     MOVE "tpl\botones.html" TO TPL-FILENAME.
000066     PERFORM TPL-ADD-FILENAME.
000067           
000068     MOVE "MSG-BOTON" TO VAR-NAME.
000069     IF BCONSULTAR NOT = SPACE
000070        MOVE "BOTON CONSULTAR" TO VAR-VALUE
000071     ELSE
000072     IF BGRABAR NOT = SPACE
000073        MOVE "BOTON GRABAR" TO VAR-VALUE
000074     ELSE
000075     IF BCANCELAR NOT = SPACE
000076        MOVE "BOTON CANCELAR" TO VAR-VALUE
000077     ELSE
000078     IF BELIMINAR NOT = SPACE
000079        MOVE "BOTON ELIMINAR" TO VAR-VALUE
000080     ELSE
000081     IF BOTRO NOT = SPACE
000082        MOVE "BOTON OTRO" TO VAR-VALUE.
000083           
000084     PERFORM TPL-ADD-VAR.
000085
000086     CLOSE CGI-OUT.
000087
000088     GO TO EXIT-PROG.
000089
000090 100-EXIT. 
000091
000092
000093     COPY "CGILIB\TEMPLATE.FDT".
000094
000095 EXIT-PROG.
000096     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE BOTONES .
000097
000098 END PROGRAM "BOTONES-OPENED".
000099 IDENTIFICATION DIVISION.
000100 PROGRAM-ID. "BOTONES-START".
000101 PROCEDURE DIVISION.
000102     EXIT PROGRAM.
000103 END PROGRAM "BOTONES-START".
000104 END PROGRAM "BOTONES".
